/// <reference types="codemirror" />
import { Editor } from 'codemirror';
import { ReplaySubject } from 'rxjs';
/**
 * Initialize Event for CodeMirror.Editor instance
 *
 * Holds a referencable pointer to the code mirror instance for users.
 */
export declare class CodemirrorService {
    /**
     * Codemirror instance subject
     *
     * Emits a refrence to the initialized CodeMirror.Editor once it's insantiated.
     */
    instance$: ReplaySubject<Editor>;
}
